| haskell-src-exts-1.9.0: Manipulating Haskell source: abstract syntax, lexer, parser, and pretty-printer | Source code | Contents | Index
Language.Haskell.Exts.Comments
Synopsis
data Comment = Comment Bool SrcSpan String
Documentation
data Comment | Source
A Haskell comment. The `Bool` is `True` if the comment is multi-line, i.e. `{- -}`.
Constructors
Comment Bool SrcSpan String |
Instances
Eq Comment
Data Comment
Show Comment
Typeable Comment
Produced by Haddock version 2.4.2